omv-release-upgrade failed (apt-get update failed, too)

  • I am not sure about "linux-image-4.9.0-0.bpo.4-amd64"... Should I continue?

    Not sure what kernel you have installed but it should be something new than bpo.4 or the 4.19 kernel. What is the output of: dpkg -l | grep linux-image

    omv 5.6.9 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.2 | kvm plugin 5.1.5
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • What is the output of: dpkg -l | grep linux-image

    Code
    root@CarfRip-NAS:~# dpkg -l | grep linux-image
    ii linux-image-4.9.0-0.bpo.4-amd64 4.9.51-1~bpo8+1 amd64 Linux 4.9 for 64-bit PCs
    ii linux-image-4.9.0-0.bpo.6-amd64 4.9.88-1+deb9u1~bpo8+1 amd64 Linux 4.9 for 64-bit PCs
    ii linux-image-4.9.0-8-amd64 4.9.144-3.1 amd64 Linux 4.9 for 64-bit PCs
    ii linux-image-amd64 4.9+80+deb9u6 amd64 Linux for 64-bit PCs (meta-package)
  • You have two newer kernels. So, it is just removing an unneeded one. I would proceed.

    omv 5.6.9 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.2 | kvm plugin 5.1.5
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • What is the output of: dpkg -l | grep openm

    omv 5.6.9 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.2 | kvm plugin 5.1.5
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • What is the output of: dpkg -l | grep openm


    Still have the 3.0.99


    Code
    root@CarfRip-NAS:~# dpkg -l | grep openm
    rc openmediavault 3.0.99 all Open network attached storage solution
    ii openmediavault-keyring 1.0 all GnuPG archive keys of the OpenMediaVault archive
    rc openmediavault-omvextrasorg 3.4.32 all OMV-Extras.org Package Repositories for OpenMediaVault
    rc openmediavault-openvpn 3.0.6 all OpenVPN plugin for OpenMediaVault.
    rc openmediavault-plexmediaserver 3.8.2 all OpenMediaVault Plex Media Server plugin
    rc openmediavault-sensors 3.0 all Provides a cpu temperature monitor
  • Still have the 3.0.99

    That is fine since it is removed. Try: apt-get install openmediavault

    omv 5.6.9 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.2 | kvm plugin 5.1.5
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • That is fine since it is removed. Try: apt-get install openmediavault


    I always choose the "Install the new version" option when asked, the procedure "finished" with this error:


    It seems like there is no "lvm2" package installed and I say "finished" because the procedure is still executing, stucked in the last line you can read from the code; should I CTRL+C to abort it?

  • It seems like there is no "lvm2" package installed and I say "finished" because the procedure is still executing, stucked in the last line you can read from the code; should I CTRL+C to abort it?

    Did it stop yet? If not, I would ctrl-c and reboot. Then do apt-get -f install

    omv 5.6.9 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.2 | kvm plugin 5.1.5
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • what is the output of: ls -al /var/spool/

    Hi,


    this is the 4 outputs of ls -al /var/spool/


    1st with email with error:

    Code
    drwxr-xr-x 7 genna1 genna1 4096 avril 20 13:49 .
    drwxr-xr-x 12 genna1 genna1 4096 avril 20 13:49 ..
    drwxr-xr-x 2 genna1 genna1 4096 avril 20 13:55 anacron
    drwxr-xr-x 3 genna1 genna1 4096 avril 20 13:49 cron
    lrwxrwxrwx 1 genna1 genna1 7 avril 20 13:49 mail -> ../mail
    drwxr-xr-x 20 genna1 genna1 4096 avril 24 00:36 postfix
    drwx------ 2 genna1 genna1 4096 janv. 18 2017 rsyslog
    drwxrwxrwt 2 genna1 genna1 4096 mars 5 2018 samba


    2nd system, without error:

    Code
    drwxr-xr-x 7 genna2 genna2 4096 avril 10 2018 .
    drwxr-xr-x 12 genna2 genna2 4096 sept. 27 2017 ..
    drwxr-xr-x 2 genna2 genna2 4096 sept. 27 2017 anacron
    drwxr-xr-x 3 genna2 genna2 4096 sept. 27 2017 cron
    lrwxrwxrwx 1 genna2 genna2 7 sept. 27 2017 mail -> ../mail
    drwxr-xr-x 20 genna2 genna2 4096 avril 23 19:51 postfix
    drwx------ 2 genna2 genna2 4096 déc. 19 2015 rsyslog
    drwxrwxrwt 2 genna2 genna2 4096 juil. 14 2017 samba

    3d system, without error:


    Code
    drwxr-xr-x 7 genna3 genna3 4096 avril 10 2018 .
    drwxr-xr-x 12 genna3 genna3 4096 nov. 18 2017 ..
    drwxr-xr-x 2 genna3 genna3 4096 nov. 18 2017 anacron
    drwxr-xr-x 3 genna3 genna3 4096 nov. 18 2017 cron
    lrwxrwxrwx 1 genna3 genna3 7 nov. 18 2017 mail -> ../mail
    drwxr-xr-x 20 genna3 genna3 4096 avril 18 19:38 postfix
    drwx------ 2 genna3 genna3 4096 déc. 19 2015 rsyslog
    drwxrwxrwt 2 genna3 genna3 4096 juil. 14 2017 samba

    4th system, without error:

    Code
    drwxr-xr-x 7 genna4 genna4 4096 mai 3 2018 .
    drwxr-xr-x 11 genna4 genna4 4096 mai 3 2018 ..
    drwxr-xr-x 2 genna4 genna4 4096 mars 9 2018 anacron
    drwxr-xr-x 3 genna4 genna4 4096 mars 9 2018 cron
    lrwxrwxrwx 1 genna4 genna4 7 mars 9 2018 mail -> ../mail
    drwxr-xr-x 20 genna4 genna4 4096 avril 20 11:52 postfix
    drwx------ 2 genna4 genna4 4096 déc. 19 2015 rsyslog
    drwxrwxrwt 2 genna4 genna4 4096 nov. 12 2017 samba


    As you can see, all my 4 systems seem similar, except username (root) or dates.


    thanks

  • As you can see, all my 4 systems seem similar, except username (root) or dates.

    Did you change the owner from root to the system name? This thread probably has your fix - https://forum.openmediavault.o…penmediavault-flushmailq/

    omv 5.6.9 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.2 | kvm plugin 5.1.5
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • Did you change the owner from root to the system name? This thread probably has your fix - https://forum.openmediavault.o…penmediavault-flushmailq/

    I did not change anything. Thanks for the link, i have already read it before posting my message, but as my OMV 4.1.22 is completely new on a new SSD, i was not sure about the reason


    'chown' command is unkown... lol why unknown on a fresh and new install of OMV 4.1.22 ??


    i 'm going to install chown ... oups. No, chown is already installed, chown --help works but this chown -R postfix /var/spool/postfix returns error

  • if chown isn’t installed, your system has a lot of problems.


    if that thread doesnt help, i’m not sure what is wrong but it probably has something to do with chown missing.

    omv 5.6.9 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.2 | kvm plugin 5.1.5
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • my system is OMV 4.1.22, new install. and works, except this error message in mail.


    chown --help works !
    chown -R postfix /var/spool/postfix works, after deleting spaces and rewriting all the command (maybe some bad characters from paste)


    i will see :)
    thanks

  • I always choose the "Install the new version" option when asked, the procedure "finished" with this error:



    It seems like there is no "lvm2" package installed and I say "finished" because the procedure is still executing, stucked in the last line you can read from the code; should I CTRL+C to abort it?


    I followed all recomendations from ryecoaaron and got stuck with this same error on lvm2. What worked for me was to purge and reinstall:


    sudo apt purge lvm2 && sudo apt install lvm2


    After that apt-get install openmediavault worked and was left with OMV 4.x running


    Also.. at some point my apt-get update got stuck with the python 3.5 bug (https://github.com/ayufan-rock64/linux-build/issues/136).
    If you decide to edit manually /usr/lib/python3.5/weakref.py make sure you use spaces instead of tabs!


    My apt-get update && apt-get dist-upgrade ended up working and was left with a shiny new OMV 4.x


    Thanks ryecoaaron for all your help

  • My apt-get update && apt-get dist-upgrade ended up working and was left with a shiny new OMV 4.x


    Did it stop yet? If not, I would ctrl-c and reboot. Then do apt-get -f install


    Hi Lethol, hi ryecoaaron!


    Thank you very much for your help, I did what you said, openmediavault is now installed with no errors and dist-upgrade worked, but my omv web interface still has some problems, although it's now reachable and I can log in, in the attachments you will see what I am talking about!


    Now I can see the horizon line! :D


    This is the dpkg -l | grep openm result:

    Code
    root@CarfRip-NAS:~# dpkg -l | grep openm
    ii openmediavault 4.1.22-1 all openmediavault - The open network attached storage solution
    ii openmediavault-keyring 1.0 all GnuPG archive keys of the OpenMediaVault archive
    rc openmediavault-omvextrasorg 3.4.32 all OMV-Extras.org Package Repositories for OpenMediaVault
    rc openmediavault-openvpn 3.0.6 all OpenVPN plugin for OpenMediaVault.
    rc openmediavault-plexmediaserver 3.8.2 all OpenMediaVault Plex Media Server plugin
    rc openmediavault-sensors 3.0 all Provides a cpu temperature monitor
  • Clear your browser cache.


    Of course... How foolish I am... Ok, web GUI is working fine now, just 2 other question and then I'll leave you alone, I promise!


    - SMB service gave me the error "The property 'nullpasswords' does not exist in the model 'conf.service.smb'"
    I fix it by removing the nullpassword entry, like a user said, but I'd like to use this service in the future, how can I solve the problem?


    - In the webGUI there is no Plex plugin installed now, but I can see it via SSH, it's a problem related to OMVExtras I guess, I have also OMV-Sensors installed and not visible in the webGUI, maybe I have an old version of these tools not compatible with OMV4... Is there a way to have them back without data loss?


    Thanks a lot ryecoaaron, you are the real #1!

  • Many many thanks, ryecoaaron


    I've been following the forum for months now, and I was struggling with the fact that I didn't upgrade to OMV 4.x.
    I had my media server shut down for months, and after a recent restart, I got fault messages as the OS links to Jessie did not work any longer.
    This here thread guided my through the jungle, and finally I was successful.


    Again, many thanks to you!


    Best regards
    Ämetz

  • I fix it by removing the nullpassword entry, like a user said, but I'd like to use this service in the future, how can I solve the problem?

    Where did you remove it from? I'm not seeing this error when creating a share.

    In the webGUI there is no Plex plugin installed now, but I can see it via SSH, it's a problem related to OMVExtras I guess, I have also OMV-Sensors installed and not visible in the webGUI, maybe I have an old version of these tools not compatible with OMV4... Is there a way to have them back without data loss?

    They are removed not purged. That is why they still show up in the list but have the 'rc' status. The sensors plugin was not ported to OMV 4.x. I recommend using the plex docker because I'm not going to maintain the plugin anymore - Installation and Setup Videos - Beginning, Intermediate and Advanced

    omv 5.6.9 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.2 | kvm plugin 5.1.5
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!